Subject: RE: Collecting media statistics for SIP calls?

From: "Thomas Gal" <[email-masked]>
Date: Sun, 31 Oct 2004 12:59:57 -0800

I don't think that's really a SIP domain issue, though this may have
been adressed somewhere that I'm not aware of. 
	If you're using RTP to carry the audio than these statistics are
derived from the RTP stream in the context of the sender (with you being the
receiver) and the sender sends SR (Sender Report) RTCP packets with
interarrival jitter included. Packet count, fraction lost, and cumulative
number of packets lost are also transmitted in these packets. Latency would
probably be derived from the NTP timestamp if anything and is not directly
addressed in RTP to my knowledge. So if you wanted this data after the fact
the server would have to maintain that information, and it would probably be
a query at the application level, not really anything to do with SIP.

-Tom

[email-masked]  

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Madabhushi Pramod
> Sent: Friday, October 29, 2004 4:09 PM
> To: [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Collecting media statistics for SIP calls?
> 
> Is there any way by which I call query a SIP endpoint for 
> media statictics after call termination. I would like to know 
> details like Jitter, latency, packet loss, packets received, 
> packets sent etc.
> 
> Thanks in advance.
> 
> Pramod Madabhushi
> ShoreTel communications.
> 
> =====
> Pramod Madabhushi
> email: [email-masked],
>        [email-masked]
> Phone:001-408-204-8077
> 
> 
> 		
> __________________________________
> Do you Yahoo!?
> Y! Messenger - Communicate in real time. Download now. 
> http://messenger.yahoo.com
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf